<nz-table #basicTable [nzData]="listOfEmployee">
  <thead>
  <tr>
    <th></th>
    <th>Name</th>
    <th>Surname</th>
    <th>Post</th>
    <th>Actions</th>
  </tr>
  </thead>
  <tbody>
  <tr *ngFor="let data of basicTable.data; index as i">
    <td>{{i + 1}}</td>
    <td>{{data.name}}</td>
    <td>{{data.surname}}</td>
    <td>{{data.post}}</td>
    <td>
      <button nz-button nzType="primary" nzDanger (click)="showModal('delete', data)">Delete</button>
      <button nz-button nzType="primary" (click)="showModal('update', data)">Update</button>
      <button nz-button nzType="primary" (click)="showModal('read', data)">Read</button>
    </td>
  </tr>
  </tbody>
</nz-table>

<button nz-button nzType="primary" nzDanger (click)="showModal('new', null)" style="margin: 20px">New</button>

<nz-modal [(nzVisible)]="isVisible" nzTitle="Action" (nzOnCancel)="handleCancel()" (nzOnOk)="handleOk()">
  <div *ngIf="type == 'new'">
    <div style="margin-bottom: 5px">
      Name: <input nz-input placeholder="name" nzSize="default" [(ngModel)]="name"/> <br/>
    </div>
    <div style="margin-bottom: 5px">
      Surname: <input nz-input placeholder="name" nzSize="default" [(ngModel)]="surname"/> <br/>
    </div>
    <div style="margin-bottom: 5px">
      Post: <input nz-input placeholder="name" nzSize="default" [(ngModel)]="post"/>
    </div>
  </div>
  <div *ngIf="type == 'delete'">
    <p>Do you want delete {{tmpSelectedEmployee.name}}  {{tmpSelectedEmployee.surname}}</p>
  </div>
  <div *ngIf="type == 'update'">
    <div style="margin-bottom: 5px">
      Name: <input nz-input placeholder="name" nzSize="default" [(ngModel)]="name"/> <br/>
    </div>
    <div style="margin-bottom: 5px">
      Surname: <input nz-input placeholder="name" nzSize="default" [(ngModel)]="surname"/> <br/>
    </div>
    <div style="margin-bottom: 5px">
      Post: <input nz-input placeholder="name" nzSize="default" [(ngModel)]="post"/>
    </div>
  </div>
  <div *ngIf="type == 'read'">
    <div style="margin-bottom: 5px">
      Id: {{tmpSelectedEmployee.id}}
    </div>
    <div style="margin-bottom: 5px">
      Name: {{tmpSelectedEmployee.name}}
    </div>
    <div style="margin-bottom: 5px">
      Surname: {{tmpSelectedEmployee.surname}}
    </div>
    <div style="margin-bottom: 5px">
      Post: {{tmpSelectedEmployee.post}}
    </div>
  </div>
</nz-modal>
